
import 'package:flutter/material.dart';
import 'package:login_screen/home_screen/homepage1.dart';
import 'package:login_screen/home_screen/homepage2.dart';
import 'package:login_screen/home_screen/homepage3.dart';
import 'package:login_screen/home_screen/homepage4.dart';


class HomeScreen3 extends StatefulWidget {
  const HomeScreen3({Key? key}) : super(key: key);

  @override
  State<HomeScreen3> createState() => _HomeScreen3State();
}

class _HomeScreen3State extends State<HomeScreen3> {
  int _selectedIndex = 0;
  List pages = [
    const HomePage1(),
    const HomePage2(),
    const HomePage3(),
    const HomePage4(),
  ];
  List labes=[
    'Home',
    'Notification',
    'Cart',
    'Profile'
  ];
  List icon=[
    Icons.home,
    Icons.notifications,
    Icons.shopping_cart,
    Icons.person
  ];
  void onTapNav(int index) {
    setState(() {
      _selectedIndex = index;
    });
  }



  @override
  void initState() {

    super.initState();
  }


  @override
  void dispose() {

    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    const myColor=Colors.indigo;
    Size screenSize=MediaQuery.of(context).size;
    return Scaffold(
      body: CustomScrollView(
      slivers: [
      SliverAppBar(
        // shadowColor: Colors.transparent,
        automaticallyImplyLeading: false,
        backgroundColor: Colors.white,
        expandedHeight: screenSize.height*.12,
        toolbarHeight: 0,
        pinned: true  ,
        // title: Text('SocialDev'),
        // titleTextStyle: TextStyle(fontSize: 30,color: Colors.white,fontWeight: FontWeight.bold),
        flexibleSpace: FlexibleSpaceBar(
          expandedTitleScale: 40,
      titlePadding: EdgeInsets.only(bottom:screenSize.height*.08),
          title: const Text('SocialDev',style: TextStyle(fontSize: 1,color: myColor),),
        ),
        bottom: PreferredSize(
          preferredSize: Size(screenSize.width,60),
          child:
          Container(
            // margin: EdgeInsets.symmetric(horizontal: 5,vertical: 20),
            width: screenSize.width,
            height: 60,
            decoration: BoxDecoration(
              color: Colors.white,
              borderRadius: BorderRadius.circular(10),
            ),
            child: Row(
              mainAxisAlignment: MainAxisAlignment.spaceAround, // Distribute items evenly
              children: List.generate(
                labes.length,
                    (index) {
                  return InkWell(
                    onTap: (){
                      onTapNav(index);
                    },
                    child: AnimatedContainer(
                      width: _selectedIndex==index?screenSize.width*.28:screenSize.width*.24,
                      duration: const Duration(milliseconds: 200),
                      decoration: BoxDecoration(
                        border: Border(bottom: BorderSide(width: 1,color: Colors.grey.withOpacity(.5))),
                        color: _selectedIndex==index?Colors.blue:Colors.white,
                      ),
                      child: Column(
                        mainAxisAlignment: MainAxisAlignment.center,
                        children: [
                          Icon(icon[index],color: _selectedIndex==index?Colors.white:Colors.black),
                          SizedBox(height: 5), // Add spacing between icon and text
                          Text('${labes[index]}',style: TextStyle(
                            color: _selectedIndex==index?Colors.white:Colors.black,
                          ),),
                        ],
                      ),
                    ),
                  );
                },
              ),
            ),
          ),
        ),
      ),
        SliverToBoxAdapter(
          child: pages[_selectedIndex]
        )
      ],

      ),

    );
  }
}
